Skip to main content
PATCH
/
themes
/
{slug}
Update theme informations
curl --request PATCH \
  --url https://registry.wp-content.io/themes/{slug} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "screenshot_url": "https://placehold.co/1200x900",
  "preview_url": "",
  "homepage": ""
}
'
import requests

url = "https://registry.wp-content.io/themes/{slug}"

payload = {
"screenshot_url": "https://placehold.co/1200x900",
"preview_url": "",
"homepage": ""
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({screenshot_url: 'https://placehold.co/1200x900', preview_url: '', homepage: ''})
};

fetch('https://registry.wp-content.io/themes/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "My Theme",
  "slug": "my-theme",
  "version": "1.0.0",
  "preview_url": "",
  "author": {
    "user_nicename": "acme",
    "profile": "",
    "avatar": "",
    "display_name": "ACME",
    "author": "ACME",
    "author_url": "https://example.com"
  },
  "tags": [],
  "screenshot_url": "https://placehold.co/1200x900",
  "rating": 0,
  "num_ratings": 0,
  "downloaded": 0,
  "homepage": "",
  "description": "",
  "requires": null,
  "requires_php": null,
  "download_link": "https://wp-content-staging.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.0-86869156b3b9fbffd6e69fa6cf49452a.zip",
  "last_updated": "2025-06-11",
  "last_updated_time": "2025-06-11 11:39:21",
  "creation_time": "2025-06-11 11:39:18",
  "is_commercial": false,
  "external_support_url": false,
  "is_community": false,
  "external_repository_url": "",
  "sections": {
    "description": null,
    "changelog": "<h4>1.0.0</h4>\n<p>Version update</p>\n<em>Release date : 2025-06-11 11:39:18</em>"
  },
  "versions": {
    "1.0.0": "https://wp-content-staging.s3.fr-par.scw.cloud/artifacts/themes/my-theme/my-theme-1.0.0-86869156b3b9fbffd6e69fa6cf49452a.zip"
  }
}
{
"status": 404,
"error": 404,
"messages": {
"error": "Theme not found."
}
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

slug
string
required

Slug of theme

Body

application/json

The body is of type object.

Response

OK

The response is of type object.